## php-guzzlehttp-psr7 2.8.0

=== Makefile ===
test:
	vendor/bin/phpunit $(TEST)

check-tag:
	$(if $(TAG),,$(error TAG is not defined. Pass via "make tag TAG=4.2.1"))

tag: check-tag
	@echo Tagging $(TAG)
	chag update $(TAG)
	git commit -a -m '$(TAG) release'
	chag tag
	@echo "Release has been created. Push using 'make release'"
	@echo "Changes made in the release commit"
	git diff HEAD~1 HEAD

release: check-tag
	git push origin master
	git push origin $(TAG)

## php-guzzlehttp-psr7 1.1.0

=== debian/changelog ===
php-guzzlehttp-psr7 (1.1.0-1) unstable; urgency=medium

  [ Michael Dowling ]
  * 1.1.0 release

 -- David Prévot <taffit@debian.org>  Sun, 28 Jun 2015 09:59:19 -0400

php-guzzlehttp-psr7 (1.0.0-1) unstable; urgency=low

  * Initial release

 -- David Prévot <taffit@debian.org>  Thu, 28 May 2015 13:43:34 -0400

=== debian/control ===
Source: php-guzzlehttp-psr7
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: debhelper (>= 9),
               php-psr-http-message,
               phpab,
               phpunit,
               pkg-php-tools (>= 1.7~)
Standards-Version: 3.9.6
Homepage: https://github.com/guzzle/psr7
Vcs-Git: git://anonscm.debian.org/pkg-php/php-guzzlehttp-psr7.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-guzzlehttp-psr7.git

Package: php-guzzlehttp-psr7
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Recommends: ${phpcomposer:Debian-recommend}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: ${phpcomposer:description}
 Partial PSR-7 message implementation, several stream decorators, and
 some helpful functionality like query string parsing.

## php-guzzlehttp-psr7 1.2.2

=== debian/changelog ===
php-guzzlehttp-psr7 (1.2.2-1ubuntu1) xenial; urgency=medium

  * d/c, d/r: add nocheck and stage1 build profiles.
  * LP: #1543817.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 29 Feb 2016 11:56:43 +0100

php-guzzlehttp-psr7 (1.2.2-1build1) xenial; urgency=medium

  * No-change rebuild against php 7

 -- Nish Aravamudan <nish.aravamudan@canonical.com>  Sat, 20 Feb 2016 05:23:06 +0000

php-guzzlehttp-psr7 (1.2.2-1) unstable; urgency=medium

  [ Brent Shaffer ]
  * proper handling of hier-part with no-authority

  [ Colin O'Dell ]
  * Add HTTP 451 Unavailable For Legal Reasons

  [ Régis Belson ]
  * Accept "0" as a valid filename for multipart form file uploads

  [ Fabien Potencier ]
  * added missing port to the Host when not-standard

  [ Jonathan Eskew ]
  * 1.2.2 release

 -- David Prévot <taffit@debian.org>  Tue, 26 Jan 2016 12:30:27 -0400

php-guzzlehttp-psr7 (1.2.1-1) unstable; urgency=medium

  [ Jonathan Eskew ]
  * Copy SEEK_END behavior from fseek
  * 1.2.1 release

 -- David Prévot <taffit@debian.org>  Tue, 03 Nov 2015 21:22:34 -0400

php-guzzlehttp-psr7 (1.2.0-1) unstable; urgency=medium

  [ Mark Trapp ]
  * Conditionally require functions.php

  [ Michael Dowling ]
  * Allow forward seeking in caching stream
  * Ensuring a Uri is returned
  * 1.2.0 release

  [ Nicolas Van Eenaeme ]
  * Support full URLs in requests, such as proxied requests

  [ Kevin Robatel ]
  * Strict check of $body

  [ Andreas Buchenrieder ]
  * Fixed Uri::resolve dropping user info from the base uri

 -- David Prévot <taffit@debian.org>  Fri, 28 Aug 2015 12:32:07 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: php-guzzlehttp-psr7
 Section: php
 Priority: optional
-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper (>= 9),
                php-psr-http-message,
                phpab,
-               phpunit,
-               pkg-php-tools (>= 1.7~)
+               phpunit <!nocheck !stage1>,
+               pkg-php-tools (>= 1.32~)
 Standards-Version: 3.9.6
 Homepage: https://github.com/guzzle/psr7
 Vcs-Git: git://anonscm.debian.org/pkg-php/php-guzzlehttp-psr7.git

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	phpab \
		--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src

override_dh_auto_test:
ifeq (,$(filter nocheck stage1, $(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	phpunit $(TEST)
else
	@echo "** tests disabled"
endif

get-orig-source:
	uscan --verbose --rename --force

## php-guzzlehttp-psr7 1.3.1

=== debian/changelog ===
php-guzzlehttp-psr7 (1.3.1-1) unstable; urgency=medium

  [ Tobias Schultze ]
  * 1.3.1 release

  [ Barry vd. Heuvel ]
  * Remove message about partial implementation

 -- David Prévot <taffit@debian.org>  Wed, 27 Jul 2016 02:00:46 -0400

php-guzzlehttp-psr7 (1.3.0-1) unstable; urgency=medium

  [ Ivan Kerin ]
  * Add uploaded file and tests
  * Add ServerRequest and tests

  [ Michael Dowling ]
  * 1.3.0 release

  [ David Prévot ]
  * Update Standards-Version to 3.9.8

 -- David Prévot <taffit@debian.org>  Fri, 15 Apr 2016 21:35:01 -0400

php-guzzlehttp-psr7 (1.2.3-2) unstable; urgency=medium

  * Rebuild with recent pkg-php-tools for the PHP 7.0 transition

 -- David Prévot <taffit@debian.org>  Sun, 20 Mar 2016 17:08:08 -0400

php-guzzlehttp-psr7 (1.2.3-1) unstable; urgency=medium

  [ zumba ]
  * Handle gzip format with a FNAME header

  [ Andy ]
  * Ensure all requested bytes are read when using seek on caching stream

  [ Jonathan Eskew ]
  * 1.2.3 release

  [ David Prévot ]
  * Update Standards-Version to 3.9.7

 -- David Prévot <taffit@debian.org>  Sat, 20 Feb 2016 14:35:47 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: php-guzzlehttp-psr7
 Section: php
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
+Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper (>= 9),
                php-psr-http-message,
                phpab,
-               phpunit <!nocheck !stage1>,
-               pkg-php-tools (>= 1.32~)
-Standards-Version: 3.9.6
+               phpunit,
+               pkg-php-tools (>= 1.7~)
+Standards-Version: 3.9.8
 Homepage: https://github.com/guzzle/psr7
 Vcs-Git: git://anonscm.debian.org/pkg-php/php-guzzlehttp-psr7.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-guzzlehttp-psr7.git

## php-guzzlehttp-psr7 1.4.2

=== debian/changelog ===
php-guzzlehttp-psr7 (1.4.2-0.1+deb10u2build0.20.04.1) focal-security; urgency=medium

  * fake sync from Debian

 -- Giampaolo Fresi Roglia <giampaolo.fresi.roglia@canonical.com>  Tue, 27 Feb 2024 18:01:25 +0100

php-guzzlehttp-psr7 (1.4.2-0.1+deb10u2) buster-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * Fix CVE-2023-29197: Improper header parsing.  An attacker could sneak in a
    newline (\n) into both the header names and values.  This is a follow-up
    to CVE-2022-24775 where the fix was incomplete. (Closes: #1034581)

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 31 Dec 2023 20:54:01 +0100

php-guzzlehttp-psr7 (1.4.2-0.1+deb10u1) buster; urgency=medium

  * Track Buster
  * Backport fixes for improper header parsing [CVE-2022-24775]
    (Closes: #1008236)

 -- David Prévot <taffit@debian.org>  Fri, 27 May 2022 13:33:28 +0200

php-guzzlehttp-psr7 (1.4.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
    + Drop all patches and tests as upstream removed them.

 -- Dominik George <natureshadow@debian.org>  Sun, 02 Dec 2018 18:42:00 +0100

php-guzzlehttp-psr7 (1.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix tests for PHPUnit newer than 6.4-somewhat. (Closes: #882943)

 -- Dominik George <natureshadow@debian.org>  Sat, 27 Oct 2018 20:45:27 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,6 @@
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper (>= 9),
                php-psr-http-message,
-               phpab,
-               phpunit,
                pkg-php-tools (>= 1.7~)
 Standards-Version: 3.9.8
 Homepage: https://github.com/guzzle/psr7

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer

get-orig-source:
	uscan --verbose --rename --force

## php-guzzlehttp-psr7 1.7.0

=== debian/changelog ===
php-guzzlehttp-psr7 (1.7.0-1+deb11u2) bullseye; urgency=medium

  * Fix improper input validation [CVE-2023-29197] (Closes: #1034581)

 -- David Prévot <taffit@debian.org>  Sat, 22 Apr 2023 11:41:36 +0200

php-guzzlehttp-psr7 (1.7.0-1+deb11u1) bullseye; urgency=medium

  * Track Bullseye
  * Backport fixes for improper header parsing [CVE-2022-24775]
    (Closes: #1008236)

 -- David Prévot <taffit@debian.org>  Fri, 27 May 2022 13:29:47 +0200

php-guzzlehttp-psr7 (1.7.0-1) unstable; urgency=medium

  * Revert "Bundle php-getallheaders being processed in NEW"

 -- David Prévot <taffit@debian.org>  Mon, 25 Jan 2021 22:21:04 -0400

php-guzzlehttp-psr7 (1.7.0-1~deb11u2) unstable; urgency=medium

  * Fix test for recent versions of PHP (Closes: #980664)

 -- David Prévot <taffit@debian.org>  Wed, 20 Jan 2021 18:41:37 -0400

php-guzzlehttp-psr7 (1.7.0-1~deb11u1) unstable; urgency=medium

  * Upload to unstable without php-getallheaders dependency
  * Bundle php-getallheaders being processed in NEW

 -- David Prévot <taffit@debian.org>  Thu, 14 Jan 2021 09:39:54 -0400

php-guzzlehttp-psr7 (1.7.0-1~exp1) experimental; urgency=medium

  * Upload to experimental since php-getallheaders is not yet available

  [ Sam Reed ]
  * Allow ralouphie/getallheaders ^3.0.0

  [ Tobias Nyholm ]
  * Prepare for 1.7.0 release (#353)

  [ David Prévot ]
  * Document gbp import-ref usage
  * Restore autoload silently removed in previous NMU (Closes: #949693)
  * Use secure copyright file specification URI.
  * Bump debhelper from old 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields:
    Bug-Database, Repository, Repository-Browse, Bug-Submit.
  * Update Vcs-* headers to use salsa repository.
  * Remove unnecessary get-orig-source-target.
  * Drop versioned dependency satisfied in (old)stable
  * Install /u/s/p/a/php-guzzlehttp-psr7
  * Update watch file format version to 4.
  * Set Rules-Requires-Root: no.
  * Update Standards-Version to 4.5.1
  * Update copyright
  * Restore test suite at build time
  * Add php-getallheaders (build-)dependency

 -- David Prévot <taffit@debian.org>  Fri, 08 Jan 2021 14:35:01 -0400

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,17 @@
 Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
+               php-getallheaders,
                php-psr-http-message,
-               pkg-php-tools (>= 1.7~)
-Standards-Version: 3.9.8
+               phpab,
+               phpunit,
+               pkg-php-tools
+Standards-Version: 4.5.1
 Homepage: https://github.com/guzzle/psr7
-Vcs-Git: git://anonscm.debian.org/pkg-php/php-guzzlehttp-psr7.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-guzzlehttp-psr7.git
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-guzzlehttp-psr7.git
+Vcs-Browser: https://salsa.debian.org/php-team/pear/php-guzzlehttp-psr7
+Rules-Requires-Root: no
 
 Package: php-guzzlehttp-psr7
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	phpab \
		--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parents vendor GuzzleHttp
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
                tests
	ln -s ../src GuzzleHttp/Psr7

override_dh_auto_test:
	phpunit

=== debian/tests/control ===
Test-Command: mkdir -p vendor && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && phpunit
Restrictions: rw-build-tree
Depends: php-symfony-console, phpab, phpunit, @

## php-guzzlehttp-psr7 1.8.3

=== debian/changelog ===
php-guzzlehttp-psr7 (1.8.3-1) unstable; urgency=medium

  * Upload to unstable now that Bullseye has been released

  [ Graham Campbell ]
  * Support PHP 8.1 (#435)
  * Release 1.8.3 (#446)

  [ David Prévot ]
  * Track version 1 for now (Bookworm?)
  * Update copyright
  * Update standards version to 4.6.0, no changes needed.

 -- David Prévot <taffit@debian.org>  Mon, 11 Oct 2021 21:39:54 -0400

php-guzzlehttp-psr7 (1.8.1-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Tobias Nyholm ]
  * Prepare 1.8.1 (#404)

  [ David Prévot ]
  * Simplify gbp import-orig
  * Generate phpabtpl at build time
  * Use dh-sequence-phpcomposer instead of pkg-php-tools

 -- David Prévot <taffit@debian.org>  Tue, 30 Mar 2021 08:24:27 -0400

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-phpcomposer,
                php-getallheaders,
                php-psr-http-message,
                phpab,
                phpunit,
-               pkg-php-tools
-Standards-Version: 4.5.1
+               pkg-php-tools (>= 1.41~)
+Standards-Version: 4.6.0
 Homepage: https://github.com/guzzle/psr7
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-guzzlehttp-psr7.git
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-guzzlehttp-psr7.git -b debian/bookworm
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-guzzlehttp-psr7
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,17 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with phpcomposer
+	dh $@
 
 override_dh_auto_build:
+	phpabtpl --basedir src composer.json > debian/autoload.php.tpl
 	phpab \
 		--output src/autoload.php \
 		--template debian/autoload.php.tpl \
 		src
 	mkdir --parents vendor GuzzleHttp
+	phpabtpl \
+		--require guzzlehttp/psr7 \
+		> debian/autoload.tests.php.tpl
 	phpab \
 		--output vendor/autoload.php \
 		--template debian/autoload.tests.php.tpl \

=== debian/tests/control ===
Test-Command: mkdir -p vendor && phpabtpl --require guzzlehttp/psr7 > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && phpunit
Restrictions: rw-build-tree, allow-stderr
Depends: php-symfony-console, phpab, phpunit, pkg-php-tools (>= 1.41~), @

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.])\.?/~$1/i;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all \
https://github.com/guzzle/psr7 \
refs/tags/v?(1.+)

## php-guzzlehttp-psr7 2.4.0

=== debian/changelog ===
php-guzzlehttp-psr7 (2.4.0-2) unstable; urgency=medium

  * Upload to unstable now that every package allows it
  * Fix applied patch
  * debian/tests/control:
    + Start server at the beginning
    + Drop useless dependency

 -- David Prévot <taffit@debian.org>  Sun, 10 Jul 2022 13:22:39 +0200

php-guzzlehttp-psr7 (2.4.0-1) experimental; urgency=medium

  [ Tim Düsterhus ]
  * Fix deprecation warnings in PHP 8.2 (#519)

  [ Graham Campbell ]
  * Release 2.4.0 (#521)

  [ David Prévot ]
  * Run one more test

 -- David Prévot <taffit@debian.org>  Wed, 22 Jun 2022 14:47:09 +0200

php-guzzlehttp-psr7 (2.3.0-1) experimental; urgency=medium

  [ Graham Campbell ]
  * Release 2.3.0

  [ David Prévot ]
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Fri, 17 Jun 2022 13:22:48 +0200

php-guzzlehttp-psr7 (2.2.1-1) experimental; urgency=medium

  [ Graham Campbell ]
  * Release 2.2.1 (#493) fixing improper header parsing [CVE-2022-24775]
    (Closes: #1008236)

 -- David Prévot <dprevot@evolix.fr>  Fri, 25 Mar 2022 09:43:25 +0100

php-guzzlehttp-psr7 (2.1.0-1) experimental; urgency=medium

  [ Graham Campbell ]
  * Support PHP 8.1 (#435)
  * Release 2.1.0 (#450)

  [ David Prévot ]
  * Update copyright
  * Update standards version to 4.6.0, no changes needed.

 -- David Prévot <taffit@debian.org>  Mon, 11 Oct 2021 21:56:01 -0400

php-guzzlehttp-psr7 (2.0.0-1) experimental; urgency=medium

  [ Graham Campbell ]
  * Release 2.0.0 (#425)

 -- David Prévot <taffit@debian.org>  Mon, 05 Jul 2021 09:27:10 +0200

php-guzzlehttp-psr7 (2.0.0~rc1-1) experimental; urgency=medium

  [ bscheshirwork ]
  * Avoid no-url index in stream_get_meta_data (#413)

  [ Graham Campbell ]
  * Release 2.0.0-RC1

 -- David Prévot <taffit@debian.org>  Fri, 14 May 2021 20:15:48 -0400

php-guzzlehttp-psr7 (2.0.0~beta1-1) experimental; urgency=medium

  [ Mark Sagi-Kazar ]
  * Upgrade PHPUnit

  [ Nyholm ]
  * Add support for PSR-17 HTTP factories

  [ Graham Campbell ]
  * Use http-interop/http-factory-tests ^0.7

  [ Tobias Nyholm ]
  * Allow installations on PHP8 (#399)
  * Added changelog for 2.0 beta (#392)

  [ David Prévot ]
  * New php-psr-http-factory (build-)dependency
  * New php-http-interop-http-factory-tests build-dependency

 -- David Prévot <taffit@debian.org>  Tue, 30 Mar 2021 09:39:00 -0400

## php-guzzlehttp-psr7 2.4.3

=== debian/changelog ===
php-guzzlehttp-psr7 (2.4.3-1) unstable; urgency=medium

  [ Tim Düsterhus ]
  * Replace `sha1(uniqid())` by `bin2hex(random_bytes(20))` (#538)

  [ onyn ]
  * Fix erroneous behaviour when combining host and relative path (#532)

  [ Graham Campbell ]
  * Release 2.4.3 (#539)

 -- David Prévot <taffit@debian.org>  Sat, 29 Oct 2022 11:19:43 +0200

php-guzzlehttp-psr7 (2.4.1-1) unstable; urgency=medium

  [ Graham Campbell ]
  * Rewind body before reading in `Message::bodySummary` (#525)
  * Release 2.4.1 (#529)

 -- David Prévot <taffit@debian.org>  Tue, 30 Aug 2022 15:18:22 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,16 @@
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
+               php-curl,
                php-getallheaders,
+               php-http-interop-http-factory-tests,
+               php-psr-http-factory,
                php-psr-http-message,
                phpab,
-               phpunit,
-               pkg-php-tools (>= 1.41~)
-Standards-Version: 4.6.0
+               phpunit
+Standards-Version: 4.6.1
 Homepage: https://github.com/guzzle/psr7
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-guzzlehttp-psr7.git -b debian/bookworm
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-guzzlehttp-psr7.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-guzzlehttp-psr7
 Rules-Requires-Root: no

## php-guzzlehttp-psr7 2.4.4

=== debian/changelog ===
php-guzzlehttp-psr7 (2.4.4-1) unstable; urgency=medium

  [ Tim Düsterhus ]
  * Remove the need for `AllowDynamicProperties` in LazyOpenStream (#547)

  [ Graham Campbell ]
  * Release 2.4.4 (#550)

  [ David Prévot ]
  * Update standards version to 4.6.2, no changes needed.

 -- David Prévot <taffit@debian.org>  Fri, 10 Mar 2023 15:33:52 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                php-psr-http-message,
                phpab,
                phpunit
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/guzzle/psr7
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-guzzlehttp-psr7.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-guzzlehttp-psr7

## php-guzzlehttp-psr7 2.4.5

=== debian/changelog ===
php-guzzlehttp-psr7 (2.4.5-1) unstable; urgency=medium

  [ Graham Campbell ]
  * Release 2.4.5 (#557), fixing improper input validation [CVE-2023-29197]
    Closes: #1034581

  [ Roy ]
  * Prevent possible warnings on unset variables (#542)

  [ XilefNori ]
  * Fix `Message::bodySummary` when `preg_match` fails (#554)

  [ David Prévot ]
  * Track version 2.4 for now (Bookworm)

 -- David Prévot <taffit@debian.org>  Sat, 22 Apr 2023 10:56:19 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                phpunit
 Standards-Version: 4.6.2
 Homepage: https://github.com/guzzle/psr7
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-guzzlehttp-psr7.git
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-guzzlehttp-psr7.git -b debian/bookworm
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-guzzlehttp-psr7
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	mkdir --parents vendor GuzzleHttp
 	phpabtpl \
 		--require guzzlehttp/psr7 \
+		--require http-interop/http-factory-tests \
 		> debian/autoload.tests.php.tpl
 	phpab \
 		--output vendor/autoload.php \
@@ -19,4 +20,5 @@
 	ln -s ../src GuzzleHttp/Psr7
 
 override_dh_auto_test:
-	phpunit
+	php -S 127.0.0.1:10002 tests/Integration/server.php &
+	TEST_SERVER=127.0.0.1:10002 phpunit -v

=== debian/tests/control ===
Test-Command: php -S 127.0.0.1:10002 tests/Integration/server.php & mkdir -p vendor && phpabtpl --require guzzlehttp/psr7 --require http-interop/http-factory-tests > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && TEST_SERVER=127.0.0.1:10002 phpunit -v
Restrictions: rw-build-tree, allow-stderr
Depends: php-curl,
         php-http-interop-http-factory-tests,
         phpab,
         phpunit,
         pkg-php-tools (>= 1.41~),
         @

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.])\.?/~$1/i;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all \
https://github.com/guzzle/psr7 \
refs/tags/v?(2\.4.+)

## php-guzzlehttp-psr7 2.5.0

=== debian/changelog ===
php-guzzlehttp-psr7 (2.5.0-1) experimental; urgency=medium

  * Upload new minor to experimental during the freeze

  [ Graham Campbell ]
  * Release 2.5.0 (#558), fixing improper input validation [CVE-2023-29197]
    Closes: #1034581

  [ Roy ]
  * Prevent possible warnings on unset variables (#542)

  [ Tim Düsterhus ]
  * Require `psr/http-message: ^1.1` (#551)
  * Allow `psr/http-message: 2.0` (#555)

  [ XilefNori ]
  * Fix `Message::bodySummary` when `preg_match` fails (#554)

  [ David Prévot ]
  * Drop debian/pkg-php-tools-autoloaders entries
  * Adapt version constraint to dh_phpcomposer expectations

 -- David Prévot <taffit@debian.org>  Tue, 18 Apr 2023 07:01:19 +0200

## php-guzzlehttp-psr7 2.6.0

=== debian/changelog ===
php-guzzlehttp-psr7 (2.6.0-1) unstable; urgency=medium

  * Upload to unstable now that Bookworm has been released

  [ Graham Campbell ]
  * Corrected mime type for `.acc` files to `audio/aac` (#573)
  * Update mime type map (#574)
  * Fallback to `application/octet-stream` if we are unable to guess the
    content type for a multipart file upload (#568)
  * Release 2.6.0

  [ Santiago Vila ]
  * Kill php process after running unit tests (Closes: #1029499)

  [ David Prévot ]
  * Mark package as Multi-Arch: foreign
  * Revert: Adapt version constraint to dh_phpcomposer expectations
  * Compatibility with recent PHPUnit (10)

 -- David Prévot <taffit@debian.org>  Sun, 06 Aug 2023 10:52:37 +0200

## php-guzzlehttp-psr7 2.6.1

=== debian/changelog ===
php-guzzlehttp-psr7 (2.6.1-1) unstable; urgency=medium

  [ Graham Campbell ]
  * Fix issue where PHP transforms numeric strings in array keys to ints (#578)
  * Release 2.6.1 (#579)

 -- David Prévot <taffit@debian.org>  Sun, 03 Sep 2023 03:29:18 +0530

## php-guzzlehttp-psr7 2.6.2

=== debian/changelog ===
php-guzzlehttp-psr7 (2.6.2-1) unstable; urgency=medium

  [ Graham Campbell ]
  * Release 2.6.2 (#585)

 -- David Prévot <taffit@debian.org>  Mon, 04 Dec 2023 07:45:22 +0100

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,17 @@
                php-psr-http-factory,
                php-psr-http-message,
                phpab,
-               phpunit
+               phpunit,
+               psmisc
 Standards-Version: 4.6.2
 Homepage: https://github.com/guzzle/psr7
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-guzzlehttp-psr7.git -b debian/bookworm
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-guzzlehttp-psr7.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-guzzlehttp-psr7
 Rules-Requires-Root: no
 
 Package: php-guzzlehttp-psr7
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
 Recommends: ${phpcomposer:Debian-recommend}
 Suggests: ${phpcomposer:Debian-suggest}

=== debian/rules ===
--- 
+++ 
@@ -21,4 +21,5 @@
 
 override_dh_auto_test:
 	php -S 127.0.0.1:10002 tests/Integration/server.php &
-	TEST_SERVER=127.0.0.1:10002 phpunit -v
+	TEST_SERVER=127.0.0.1:10002 phpunit
+	killall php

=== debian/tests/control ===
Test-Command: php -S 127.0.0.1:10002 tests/Integration/server.php & mkdir -p vendor && phpabtpl --require guzzlehttp/psr7 --require http-interop/http-factory-tests > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && TEST_SERVER=127.0.0.1:10002 phpunit
Restrictions: rw-build-tree, allow-stderr
Depends: php-curl,
         php-http-interop-http-factory-tests,
         phpab,
         phpunit,
         pkg-php-tools (>= 1.41~),
         @

## php-guzzlehttp-psr7 2.7.0

=== debian/changelog ===
php-guzzlehttp-psr7 (2.7.0-3) unstable; urgency=medium

  * Modernize PHPUnit syntax
  * Revert "Force system dependencies loading"
  * Simplify build

 -- David Prévot <taffit@debian.org>  Tue, 18 Feb 2025 08:27:59 +0100

php-guzzlehttp-psr7 (2.7.0-2) unstable; urgency=medium

  * Handle exit code in debci
  * Force PHPUnit 11 for autopkgtest

 -- David Prévot <taffit@debian.org>  Sun, 12 Jan 2025 18:05:03 +0100

php-guzzlehttp-psr7 (2.7.0-1) unstable; urgency=medium

  [ Graham Campbell ]
  * Fixes for PHP 8.4 deprecation (#600)
  * [2.7] Add `Utils::redactUserInfo()` method (#613)
  * Add ability to encode bools and ints (#614)
  * Release 2.7.0 (#615)

  [ Mickaël ]
  * Make `StreamWrapper::stream_stat()` returns `false` if inner stream's size
    is `null` (#594)

  [ David Prévot ]
  * Update Standards-Version to 4.7.0
  * Make provider functions static (PHPUnit 11 Fix) (Closes: #1070552)

 -- David Prévot <taffit@debian.org>  Sun, 21 Jul 2024 11:06:10 +0900

php-guzzlehttp-psr7 (2.6.2-3) unstable; urgency=medium

  * Allow stderr for debci

 -- David Prévot <taffit@debian.org>  Sun, 10 Mar 2024 10:09:05 +0100

php-guzzlehttp-psr7 (2.6.2-2) unstable; urgency=medium

  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Wed, 06 Mar 2024 16:53:37 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                phpab,
                phpunit,
                psmisc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/guzzle/psr7
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-guzzlehttp-psr7.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-guzzlehttp-psr7

=== debian/tests/control ===
Test-Command: php -S 127.0.0.1:10002 tests/Integration/server.php & mkdir -p vendor && phpabtpl --require guzzlehttp/psr7 --require http-interop/http-factory-tests > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && TEST_SERVER=127.0.0.1:10002 phpunit ; exit=$? && killall php && exit $exit
Restrictions: rw-build-tree, allow-stderr
Depends: php-curl,
         php-http-interop-http-factory-tests,
         phpab,
         phpunit,
         pkg-php-tools,
         @

## php-guzzlehttp-psr7 2.7.1

=== debian/changelog ===
php-guzzlehttp-psr7 (2.7.1-1) unstable; urgency=medium

  [ Graham Campbell ]
  * Release 2.7.1

  [ divinity76 ]
  * [2.7] Improve uploaded file error message (#621)

  [ Emmanuel Deloget ]
  * Support uppercase IPv6 addresses in URI (#620)

  [ David Prévot ]
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Mon, 31 Mar 2025 12:19:42 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                phpab,
                phpunit,
                psmisc
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/guzzle/psr7
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-guzzlehttp-psr7.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-guzzlehttp-psr7

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.])\.?/~$1/i;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all \
https://github.com/guzzle/psr7 \
refs/tags/v?(\d.+)

## php-guzzlehttp-psr7 2.8.0

=== debian/changelog ===
php-guzzlehttp-psr7 (2.8.0-1) unstable; urgency=medium

  [ Graham Campbell ]
  * [2.8] Add PHP 8.5 support (#628)
  * Release 2.8.0

  [ Sean O'Brien ]
  * [2.8] Allow empty lists as header values (#625)

  [ David Prévot ]
  * Remove Rules-Requires-Root
  * debian/control: Document nocheck flag

 -- David Prévot <taffit@debian.org>  Wed, 27 Aug 2025 01:20:28 +0200

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,18 @@
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
-               php-curl,
+               php-curl <!nocheck>,
                php-getallheaders,
-               php-http-interop-http-factory-tests,
+               php-http-interop-http-factory-tests <!nocheck>,
                php-psr-http-factory,
                php-psr-http-message,
                phpab,
-               phpunit,
+               phpunit <!nocheck>,
                psmisc
 Standards-Version: 4.7.2
 Homepage: https://github.com/guzzle/psr7
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-guzzlehttp-psr7.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-guzzlehttp-psr7
-Rules-Requires-Root: no
 
 Package: php-guzzlehttp-psr7
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,16 +8,15 @@
 		--output src/autoload.php \
 		--template debian/autoload.php.tpl \
 		src
-	mkdir --parents vendor GuzzleHttp
+	mkdir --parents vendor
 	phpabtpl \
-		--require guzzlehttp/psr7 \
+		--require-file ../src/autoload.php \
 		--require http-interop/http-factory-tests \
 		> debian/autoload.tests.php.tpl
 	phpab \
 		--output vendor/autoload.php \
 		--template debian/autoload.tests.php.tpl \
                 tests
-	ln -s ../src GuzzleHttp/Psr7
 
 override_dh_auto_test:
 	php -S 127.0.0.1:10002 tests/Integration/server.php &

=== debian/tests/control ===
Test-Command: php -S 127.0.0.1:10002 tests/Integration/server.php & mkdir -p vendor && phpabtpl --require guzzlehttp/psr7 --require http-interop/http-factory-tests > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && TEST_SERVER=127.0.0.1:10002 phpunit ; exit=$? && killall php && exit $exit
Restrictions: allow-stderr, rw-build-tree
Depends: php-curl,
         php-http-interop-http-factory-tests,
         phpab,
         phpunit,
         pkg-php-tools,
         @
